#
# utility to read config values into perl.  FOO=xxx => $main::FOO='xxx'
# 
use warnings;
use strict;

# note that this gets executed from the various test subdirectories
# hence we open '../config', not 'config'
# 
if (open CONFIG,"<../config") {
   while (<CONFIG>) {
      next if (m/^$/);
      next if (m/^\s*\#/);
      if (m/ *([A-Z0-9_]+) *= *(.*)$/) {
         no strict;
         ${$1} = $2;
      }
   }
   close CONFIG;
}
